<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-searchbar class="search-bar" placeholder="Tìm kiếm..." [(ngModel)]="this.search.tuKhoaTimKiem"
			(keyup.enter)="loadData()" (ionClear)="removeTuKhoaTimKiem()"></ion-searchbar>
		<ion-buttons slot="end">
			<ion-button (click)="onSelect(-1)">
				<ion-icon slot="icon-only" name="add"></ion-icon>
			</ion-button>
		</ion-buttons>
	</ion-toolbar>
	<dailyxe-ion-search class="filter-header" type="basic" [options]="{trangThai: false, trangThaiIsBlock:true}"
		[(ngModel)]="this.search" (onChange)="loadData()">
	</dailyxe-ion-search>
</ion-header>
<ion-content color="light" fullscreen>
	<ion-grid fixed class="ion-no-padding">
		<ion-list class="raovat-list" *ngIf="data">
			<ion-item class="raovat-item" *ngFor="let item of data" (click)="onSelect(item.Id)">
				<div class="raovat-box">

					<div class="raovat-info">
						<h3 class="title" (click)="onSelect(item.Id)">
							{{this.commonMethodsTs.getData(item, "TenThanhVien", this.lbl.noneUpdate)}}

						</h3>
						<p>
							<ion-icon name="time" color="danger"></ion-icon>
							{{item.TuNgay | date: 'dd/MM/yyyy'}} - {{item.DenNgay | date: 'dd/MM/yyyy'}}
						</p>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-icon color="success" *ngIf="item.TrangThai == 1" slot="start"
									name="checkmark-circle">
								</ion-icon>
								<ion-icon color="danger" *ngIf="item.TrangThai != 1" slot="start" name="alert">
								</ion-icon>
								{{ this.commonMethodsTs.searchItemById(lTrangThaiUserBlackList, item.TrangThai, 'value' )?.label || lbl.noneUpdate}}

							</p>
							<p class="info-bottom-item address text-overflow-ellipsis">
								{{ this.commonMethodsTs.searchItemById(lTrangThaiIsBlock, item.IsBlock, 'value' )?.label || lbl.noneUpdate}}
							</p>
						</div>
					</div>
				</div>
			</ion-item>
			<div class="ion-text-center" *ngIf="data.length == 0">
				<ion-text color="danger">
				  <h4>Không tìm thấy dữ liệu</h4>
				</ion-text>
			  </div>
		
			</ion-list>
			<ion-list *ngIf="!data">
			  <ion-item>
				<ion-text slot="start">
				  <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
				  <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
				</ion-label>
			  </ion-item>
			  <ion-item>
				<ion-text slot="start">
				  <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
				  <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
				</ion-label>
			  </ion-item>
			  <ion-item>
				<ion-text slot="start">
				  <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
				  <ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
				</ion-label>
			  </ion-item>
			  <ion-item>
				<ion-text slot="start">
				  <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
				  <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
				</ion-label>
			  </ion-item>
			  <ion-item>
				<ion-text slot="start">
				  <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
				  <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
				</ion-label>
			  </ion-item>
			  <ion-item>
				<ion-text slot="start">
				  <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
				  <ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
				</ion-label>
			  </ion-item>
			</ion-list>
			<ion-infinite-scroll (ionInfinite)="doInfinite($event)">
			  <ion-infinite-scroll-content></ion-infinite-scroll-content>
			</ion-infinite-scroll>

	</ion-grid>

</ion-content>